Difference between revisions of "Projects/rekonq/Compiling rekonq"

Jump to: navigation, search
m
Line 2: Line 2:
  
 
Here's a guide to compiling rekonq from the Git repository.
 
Here's a guide to compiling rekonq from the Git repository.
 +
 +
NOTE : rekonq 0.3 and above requires KDE 4.3.75 and above for compiling correctly.
  
 
First of all we need to install the devel packages. Run the following command in a terminal:
 
First of all we need to install the devel packages. Run the following command in a terminal:

Revision as of 11:34, 11 December 2009

Contents

Introduction

Here's a guide to compiling rekonq from the Git repository.

NOTE : rekonq 0.3 and above requires KDE 4.3.75 and above for compiling correctly.

First of all we need to install the devel packages. Run the following command in a terminal:

On Ubuntu

sudo apt-get install build-essential kdelibs5-dev git-core

On openSUSE

sudo zypper in libkde4-devel git-core gcc gcc-c++ make cmake


Fetching the code

We will be using git, as the most recent code is available on the git repository. The gitorious page for rekonq can be found here. Stable releases, can also be downloaded here in form of tarballs.

Now we need to checkout the latest code. To do so, in a terminal run:

git clone git://gitorious.org/rekonq/mainline.git

Compiling the code

Ok so now we have the code and the devel packages, all we need to do is compile it with the following commands in a terminal:

cd directory_where_rekonq_source_code_is
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..
make
sudo make install

KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal